MediaWiki:Vector.css

From Forklift Certified Video Games
Revision as of 01:33, 7 June 2025 by Admin (talk | contribs)
Jump to navigation Jump to search

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5.
/* All CSS here will be loaded for users of the Vector skin */

/* Make clickable text on links invisible. */
li#n-discord {
visibility: visible;
font-size:0em;
position: relative;
}

#n-discord:hover ::after, #n-discord {
content: '';
display: inline-block;
width: 35px;
height: 35px;
float: left;
background: url('https://certified.wiki/images/icons/discord_logo_icon.png');
background-repeat: no-repeat;
background-size: contain;
position: absolute;
}


#mw-panel .portal .body li#n-discord {
font-size:0em;
padding:5px;
}






/* Make clickable text on links invisible. */
li#n-facebook {
visibility: visible;
font-size:0em;
position: relative;
}

#n-facebook:hover ::after, #n-facebook {
content: '';
display: inline-block;
width: 35px;
height: 35px;
float: left;
background: url('https://certified.wiki/images/icons/facebook_logo_icon.png');
background-repeat: no-repeat;
background-size: contain;
position: absolute;
}



#mw-panel .portal .body li#n-facebook {
font-size:0em;
padding:5px;
}








body { background-color: #e8e1d5; }

#p-navigation { background-color: #e8e1d5; }

#mw-head { background-color: #e8e1d5; }
#mw-head-base { background-color: #e8e1d5; }

#p-logo { background-color: #e8e1d5; }

#p-tb { background-color: #e8e1d5; }
#p-tb-label { background-color: #e8e1d5; }

.mw-body { margin-right: 15px; border: 1px solid #000000; }

#content { background-color: #ded5ba; }
#bodyContent { background-color: #ded5ba; }
#firstHeading { background-color: #ded5ba; }

#catlinks { background-color: #e8e1d5; }
#p-tb .body { background-color: #e8e1d5; }

#footer { 
 margin-right: 15px;
 background-color: #ded5ba;
 min-height: 100px; 
 top: 50px;
 bottom: 10px;
 border-bottom: 1px solid #000000;
 border-left: 1px solid #000000;
 border-right: 1px solid #000000;
}


/* Top menu tabs */

.vector-menu-tabs, .vector-menu-tabs a, #mw-head .vector-menu-dropdown h3 {
    background-image: linear-gradient(to bottom,#ded5ba 0,#ded5ba 100%); }

.vector-menu-tabs li {
    background-image: linear-gradient(to top,#ded5ba 0,#ded5ba 1px,#ded5ba 100%); }

.vector-menu-tabs .selected {
    background: #ded5ba; }

.vector-menu-tabs .selected a, .vector-menu-tabs .selected a:visited {
    color: #331c8c; }

.vector-menu-tabs { border-top: 1px solid #000000; border-left: 1px solid #000000; border-right: 1px solid #000000;}



/* Dropdown menu */

.vector-menu-dropdown .vector-menu-content {
    background-color: #e8e1d5;
    border: 1px solid #000000; }